{extends file="adminarea/template/includes/header.tpl"} 

{block name="template-heading"}
    {include file="adminarea/extensions/emailstyle/includes/breadcrumb.tpl"}
{/block}

{block name="template-tabs"}
    {include file="adminarea/extensions/emailstyle/includes/tabs.tpl"} 
{/block}

{block name="template-content"}
    {if $extension->isActive()}
        <div class="section">
        <form id="emailSettings" method="POST" action="{$helper->url('Template@extension',['templateName'=>$template->getMainName(),'extension'=>$extension->getLinkName()])}" class="form neg-m-b-2x black-label">
        <div class="row">
            <div class="col-md-2">
                <div class="tabs">
                    <div class="tabs__nav" data-options="navStorage:localStorage; localStorageId:custom-slider-23; slideToClickedSlide: true;">
                        <ul class="nav nav--tabs custom-nav">
                            <li class="nav__item is-active">
                                <a class="nav__link" data-toggle="lu-tab" data-change-hash="true" href="#tabls-1">
                                    <span class="nav__link-text">General</span>
                                </a>
                            </li>
                            <li class="nav__item">
                                <a class="nav__link" data-toggle="lu-tab" data-change-hash="true" href="#tabls-2">
                                    <span class="nav__link-text">Social Links</span>
                                </a>
                            </li>
                            <li class="nav__item">
                                <a class="nav__link" data-toggle="lu-tab" data-change-hash="true" href="#tabls-3">
                                    <span class="nav__link-text">Footer</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-10">
                <div class="tabs__body">
                    <div class="tab-content">
                        <div class="tab-pane is-active" id="tabls-1">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="d-flex rail--space-between">
                                        <h2 class="section__title type-5 m-b-5x">General</h2>
                                    </div>
                                    <div class="form-group">
                                        <div class="section__title section__title--sm">Header text</div>
                                        <textarea placeholder="Header Text" class="form-control" name="header_text" rows="4">{$extension->getConfig('header_text')}</textarea>
                                    </div>
                                    <div class="form-group">
                                        <div class="section__title section__title--sm">Header link text</div>
                                        <textarea class="form-control" placeholder="Header link text" name="header_link_text" rows="4">{$extension->getConfig('header_link_text')}</textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row hidden">
                                <label class="form-label col-md-3"><strong>RTL Support</strong></label>
                                <div class="col-md-3">
                                    <div class="d-flex social-email-links ">
                                        <div class="form-check form-check--switcher form-check--inline" style="margin-right: 0;margin-left: auto;">
                                            <label>
                                                <div class="switch">
                                                    <input class="switch__checkbox" name="rtl" type="checkbox" {if $extension->getConfig('rtl') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane" id="tabls-2">
                            <h2 class="section__title type-5 m-b-5x">Social Links</h2>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Facebook</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('facebook_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" name="facebook_active" type="checkbox" {if $extension->getConfig('facebook_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input name="facebook" value="{$extension->getConfig('facebook')}" class="form-control" type="text" placeholder="Social blahahaha">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Twitter</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('twitter_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" type="checkbox" name="twitter_active" {if $extension->getConfig('twitter_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input name="twitter" value="{$extension->getConfig('twitter')}" class="form-control" type="text" placeholder="Twitter link">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Google +</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('google_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" type="checkbox" name="google_active" {if $extension->getConfig('google_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input value="{$extension->getConfig('google')}" name="google" class="form-control" type="text" placeholder="Social blahahaha">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Linkedin</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('linkedin_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" type="checkbox" name="linkedin_active" {if $extension->getConfig('linkedin_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input value="{$extension->getConfig('linkedin')}" name="linkedin" class="form-control" type="text" placeholder="Social blahahaha">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Youtube</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('youtube_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" type="checkbox" name="youtube_active" {if $extension->getConfig('youtube_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input value="{$extension->getConfig('youtube')}" name="youtube" class="form-control" type="text" placeholder="Social blahahaha">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group row">
                                    <label class="form-label col-md-3"><strong>Instagram</strong></label>
                                    <div class="col-md-5">
                                        <div class="d-flex social-email-links {if $extension->getConfig('instagram_active') != '1'}is-readonly{/if}">
                                            <div class="form-check form-check--switcher form-check--inline">
                                                <label>
                                                    <div class="switch">
                                                        <input class="switch__checkbox" type="checkbox" name="instagram_active" {if $extension->getConfig('instagram_active') == '1'}checked{/if} value="1">
                                                        <span class="switch__container"><span class="switch__handle"></span></span>
                                                    </div>
                                                </label>
                                            </div>
                                            <div class="form-group">
                                                <input value="{$extension->getConfig('instagram')}" name="instagram" class="form-control" type="text" placeholder="Social blahahaha">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                        </div>
                        <div class="tab-pane" id="tabls-3">

                            <h2 class="section__title type-5 m-b-5x">Footer</h2>
                            <div class="row">
                                <div class="col-md-6">
                                    <h3 class="section__title section__title--sm">Copyright</h3>
                                    <div class="form-group">
                                        <textarea class="form-control" name="footer_text" rows="3" placeholder="Footer copy text">{$extension->getConfig('footer_text')}</textarea>
                                    </div>
                                </div>
                            </div>

                            <h3 class="section__title section__title--sm">Links</h3>
                            <div class="form-group row">
                                <div class="email-links-header">
                                    <span>Status</span>
                                    <span>Name</span>
                                    <span>URL</span>
                                </div>
                                <div class="col-md-12">
                                    <div class="d-flex social-email-links {if $extension->getConfig('footer_link_1_active') != '1'}is-readonly{/if}">
                                        <div class="form-check form-check--switcher form-check--inline">
                                            <label>
                                                <div class="switch">
                                                    <input name="footer_link_1_active" class="switch__checkbox" type="checkbox" {if $extension->getConfig('footer_link_1_active') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_1_name')}" name="footer_link_1_name" class="form-control" type="text" placeholder="Link name">
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_1_url')}" name="footer_link_1_url" class="form-control" type="text" placeholder="Link url">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <div class="d-flex social-email-links {if $extension->getConfig('footer_link_2_active') != '1'}is-readonly{/if}">
                                        <div class="form-check form-check--switcher form-check--inline">
                                            <label>
                                                <div class="switch">
                                                    <input name="footer_link_2_active" class="switch__checkbox" type="checkbox" {if $extension->getConfig('footer_link_2_active') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_2_name')}" name="footer_link_2_name" class="form-control" type="text" placeholder="Link name">
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_2_url')}" name="footer_link_2_url" class="form-control" type="text" placeholder="Link url">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row">
                                <div class="col-md-12">
                                    <div class="d-flex social-email-links {if $extension->getConfig('footer_link_3_active') != '1'}is-readonly{/if}">
                                        <div class="form-check form-check--switcher form-check--inline">
                                            <label>
                                                <div class="switch">
                                                    <input name="footer_link_3_active" class="switch__checkbox" type="checkbox" {if $extension->getConfig('footer_link_3_active') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_3_name')}" name="footer_link_3_name" class="form-control" type="text" placeholder="Link name">
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_3_url')}" name="footer_link_3_url" class="form-control" type="text" placeholder="Link url">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row row">
                                <div class="col-md-12">
                                    <div class="d-flex social-email-links {if $extension->getConfig('footer_link_4_active') != '1'}is-readonly{/if}">
                                        <div class="form-check form-check--switcher form-check--inline">
                                            <label>
                                                <div class="switch">
                                                    <input name="footer_link_4_active" class="switch__checkbox" type="checkbox" {if $extension->getConfig('footer_link_4_active') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_4_name')}" name="footer_link_4_name" class="form-control" type="text" placeholder="Link name">
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_4_url')}" name="footer_link_4_url" class="form-control" type="text" placeholder="Link url">
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="form-group row row">
                                <div class="col-md-12">
                                    <div class="d-flex social-email-links {if $extension->getConfig('footer_link_5_active') != '1'}is-readonly{/if}">
                                        <div class="form-check form-check--switcher form-check--inline">
                                            <label>
                                                <div class="switch">
                                                    <input name="footer_link_5_active" class="switch__checkbox" type="checkbox" {if $extension->getConfig('footer_link_5_active') == '1'}checked{/if} value="1">
                                                    <span class="switch__container"><span class="switch__handle"></span></span>
                                                </div>
                                            </label>
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_5_name')}" name="footer_link_5_name" class="form-control" type="text" placeholder="Link name">
                                        </div>
                                        <div class="form-group">
                                            <input value="{$extension->getConfig('footer_link_5_url')}" name="footer_link_5_url" class="form-control" type="text" placeholder="Link url">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </form>
    </div>
        {else}
        <div class="section">
            <h4 class="section__description">Extension is disabled, click bellow button to activate</h4>
        </div>
    {/if}
    <script>
        {literal}
        $(document).ready(function () {
            $('#emailSettings').on('submit', function (e) {
                e.preventDefault();
                var datastring = $("#emailSettings").serialize();
                $.ajax({
                    type: "POST",
                    url: {/literal} "{$helper->url('Template@extension',['templateName'=>$template->getMainName(),'extension'=>$extension->getLinkName()])}" {literal} ,
                    data: datastring,
                    dataType: "json",
                    success: function(data) {
                        console.log(data.status);
                        if(data.status === 'OK'){
                            $('#ajaxAlert').fadeIn();
                            setTimeout(function () {
                                $('#ajaxAlert').fadeOut();
                                $('#emailPreviewIframe')[0].contentWindow.location.reload(true);
                                $('#saveChangesButton').removeClass('is-loading is-disabled');
                            }, 1200)
                        }
                    },
                    error: function(err) {
                        console.log(err);
                    }
                });
            });
        });
        {/literal}
    </script>
{/block}

{block name="template-actions"}
    {if $extension->isActive()}
    <div class="app-main__actions">
        <div class="container">
            <button id="saveChangesButton" onclick="$('#emailSettings').submit(); $(this).addClass('is-loading is-disabled')" class="btn btn--success" type="submit">
                <span class="btn__text">Save Changes</span>
                <span class="btn__preloader preloader"></span>
            </button>
            <button class="btn btn--danger btn--outline btn--plain" type="submit">Cancel</button>
        </div>
    </div>
    {/if}
{/block}






















